# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2021-09-06 13:54
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('hr', '0004_auto_20210906_0954'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('customers', '0063_auto_20210906_0954'),
    ]

    operations = [
        migrations.AddField(
            model_name='historicalreceipt',
            name='worker',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='hr.Worker'),
        ),
        migrations.AddField(
            model_name='historicalitem',
            name='company',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.Company'),
        ),
        migrations.AddField(
            model_name='historicalitem',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalapplieditem',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalapplieditem',
            name='item',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='hr.Item'),
        ),
        migrations.AddField(
            model_name='historicalapplieditem',
            name='receipt',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='hr.Receipt'),
        ),
    ]
